Does QGIS-plugin-grass does work with GRASS 6.2.2

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Does QGIS-plugin-grass does work with GRASS 6.2.2

Rainer Krug
Hi

System:

OpenSuSE 10.2

Instlled GRASS, QGIS , ... from rpm

I upgraded to GRASS 6.2.2 and had to uninstall QGIS-plugins-grass.

I managed to reinstall qgis-plugin-grass as follow:

sudo rpm -Uvh --nodeps qgis-plugin-grass-0.8.1-1suse10.2.i586.rpm

It seems to work - am I right in assuming that, as 6.2.2 is a
maintenance release with no additional features, that I should not
expect any problems?

Thanks,

Rainer

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Otto Dassau
Hi Rainer,

On Tue, 17 Jul 2007 10:30:17 +0200
"Rainer M. Krug" <[hidden email]> wrote:

> Hi
>
> System:
>
> OpenSuSE 10.2
> Instlled GRASS, QGIS , ... from rpm
> I upgraded to GRASS 6.2.2 and had to uninstall QGIS-plugins-grass.
> I managed to reinstall qgis-plugin-grass as follow:
>
> sudo rpm -Uvh --nodeps qgis-plugin-grass-0.8.1-1suse10.2.i586.rpm
>
> It seems to work - am I right in assuming that, as 6.2.2 is a
> maintenance release with no additional features, that I should not
> expect any problems?

I updated to GRASS 6.2.2 and GDAL 1.4.2 and you are right, there are no
additional features but several fixes etc. You can find a list here:

GRASS:
http://grass.itc.it/announces/announce_grass622.html

GDAL:
http://trac.osgeo.org/gdal/wiki/Release/1.4.2-News

I also had to update qgis + gdal-grass due to dependencies, so the best
way is to update GDAL, GRASS, GDAL-GRASS and QGIS and keep PROJ and GEOS.

 regards,
  Otto

> Thanks,
>
> Rainer
>
> _______________________________________________
> Qgis-user mailing list
> [hidden email]
> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user


_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Rainer Krug
Hi Otto

Otto Dassau wrote:

> Hi Rainer,
>
> On Tue, 17 Jul 2007 10:30:17 +0200
> "Rainer M. Krug" <[hidden email]> wrote:
>
>> Hi
>>
>> System:
>>
>> OpenSuSE 10.2
>> Instlled GRASS, QGIS , ... from rpm
>> I upgraded to GRASS 6.2.2 and had to uninstall QGIS-plugins-grass.
>> I managed to reinstall qgis-plugin-grass as follow:
>>
>> sudo rpm -Uvh --nodeps qgis-plugin-grass-0.8.1-1suse10.2.i586.rpm
>>
>> It seems to work - am I right in assuming that, as 6.2.2 is a
>> maintenance release with no additional features, that I should not
>> expect any problems?
>
> I updated to GRASS 6.2.2 and GDAL 1.4.2 and you are right, there are no
> additional features but several fixes etc. You can find a list here:
>
> GRASS:
> http://grass.itc.it/announces/announce_grass622.html
>
> GDAL:
> http://trac.osgeo.org/gdal/wiki/Release/1.4.2-News
>
> I also had to update qgis + gdal-grass due to dependencies, so the best
> way is to update GDAL, GRASS, GDAL-GRASS and QGIS and keep PROJ and GEOS.

Thanks - that's essentially what I did. But as far as I could see,
QGIS-plugin-grass was still the old version (as rpm) which depends on
grass 6.2.1 installed - and I could only install it when I use --nodeps
option to ignore dependencies. Is ther a new version of the
QGIS-plugin-grass available?

Rainer

>
>  regards,
>   Otto
>
>> Thanks,
>>
>> Rainer
>>
>> _______________________________________________
>> Qgis-user mailing list
>> [hidden email]
>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Otto Dassau
On Tue, 17 Jul 2007 12:23:03 +0200
"Rainer M. Krug" <[hidden email]> wrote:

> Hi Otto
>
> Otto Dassau wrote:
> > Hi Rainer,
> >
> > On Tue, 17 Jul 2007 10:30:17 +0200
> > "Rainer M. Krug" <[hidden email]> wrote:
> >
> >> Hi
> >>
> >> System:
> >>
> >> OpenSuSE 10.2
> >> Instlled GRASS, QGIS , ... from rpm
> >> I upgraded to GRASS 6.2.2 and had to uninstall QGIS-plugins-grass.
> >> I managed to reinstall qgis-plugin-grass as follow:
> >>
> >> sudo rpm -Uvh --nodeps qgis-plugin-grass-0.8.1-1suse10.2.i586.rpm
> >>
> >> It seems to work - am I right in assuming that, as 6.2.2 is a
> >> maintenance release with no additional features, that I should not
> >> expect any problems?
> >
> > I updated to GRASS 6.2.2 and GDAL 1.4.2 and you are right, there are no
> > additional features but several fixes etc. You can find a list here:
> >
> > GRASS:
> > http://grass.itc.it/announces/announce_grass622.html
> >
> > GDAL:
> > http://trac.osgeo.org/gdal/wiki/Release/1.4.2-News
> >
> > I also had to update qgis + gdal-grass due to dependencies, so the best
> > way is to update GDAL, GRASS, GDAL-GRASS and QGIS and keep PROJ and GEOS.
>
> Thanks - that's essentially what I did. But as far as I could see,
> QGIS-plugin-grass was still the old version (as rpm) which depends on
> grass 6.2.1 installed - and I could only install it when I use --nodeps
> option to ignore dependencies. Is ther a new version of the
> QGIS-plugin-grass available?

yes! I missed to upload a new one, no it is there:
gdal-grass-1.4.1-1suse10.2.i586.rpm
 
thanks for the hint
 
  Otto

> Rainer
>
> >
> >  regards,
> >   Otto
> >
> >> Thanks,
> >>
> >> Rainer
> >>
> >> _______________________________________________
> >> Qgis-user mailing list
> >> [hidden email]
> >> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
>
> _______________________________________________
> Qgis-user mailing list
> [hidden email]
> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user


--

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Rainer Krug
Otto Dassau wrote:
> On Tue, 17 Jul 2007 12:23:03 +0200
> "Rainer M. Krug" <[hidden email]> wrote:
>

SNIP

>
> yes! I missed to upload a new one, no it is there:
> gdal-grass-1.4.1-1suse10.2.i586.rpm

Thanks a lot - I found it at
http://www.nature-consult.de/software/suse/10.2/

But when I go to http://download.qgis.org/qgis/suse/10.2/ I still get
the old binaries. Would it be possible to change the link to the first one?

Also, is there the possibility of creating a repository to make updating
and installing easier?


>  
> thanks for the hint
>  
>   Otto
>
>> Rainer
>>
>>>  regards,
>>>   Otto
>>>
>>>> Thanks,
>>>>
>>>> Rainer
>>>>
>>>> _______________________________________________
>>>> Qgis-user mailing list
>>>> [hidden email]
>>>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
>> _______________________________________________
>> Qgis-user mailing list
>> [hidden email]
>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
>
>

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Otto Dassau
On Tue, 17 Jul 2007 13:12:46 +0200
"Rainer M. Krug" <[hidden email]> wrote:

> Otto Dassau wrote:
> > On Tue, 17 Jul 2007 12:23:03 +0200
> > "Rainer M. Krug" <[hidden email]> wrote:
> >
>
> SNIP
>
> >
> > yes! I missed to upload a new one, no it is there:
> > gdal-grass-1.4.1-1suse10.2.i586.rpm
>
> Thanks a lot - I found it at
> http://www.nature-consult.de/software/suse/10.2/
>
> But when I go to http://download.qgis.org/qgis/suse/10.2/ I still get
> the old binaries. Would it be possible to change the link to the first one?

yes, it is not updated at download.qgis.org yet, because I created the packages
yesterday afternoon. We will try to find a way to update it and maybe also to
provide a repository for easier installation.

What software do you use for package management under Opensuse? Are you
experienced with creating a repository for opensuse?

 Otto

> Also, is there the possibility of creating a repository to make updating
> and installing easier?
>
> >  
> > thanks for the hint
> >  
> >   Otto
> >
> >> Rainer
> >>
> >>>  regards,
> >>>   Otto
> >>>
> >>>> Thanks,
> >>>>
> >>>> Rainer
> >>>>
> >>>> _______________________________________________
> >>>> Qgis-user mailing list
> >>>> [hidden email]
> >>>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
> >> _______________________________________________
> >> Qgis-user mailing list
> >> [hidden email]
> >> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Rainer Krug
Otto Dassau wrote:

> On Tue, 17 Jul 2007 13:12:46 +0200
> "Rainer M. Krug" <[hidden email]> wrote:
>
>> Otto Dassau wrote:
>>> On Tue, 17 Jul 2007 12:23:03 +0200
>>> "Rainer M. Krug" <[hidden email]> wrote:
>>>
>> SNIP
>>
>>> yes! I missed to upload a new one, no it is there:
>>> gdal-grass-1.4.1-1suse10.2.i586.rpm
>> Thanks a lot - I found it at
>> http://www.nature-consult.de/software/suse/10.2/
>>
>> But when I go to http://download.qgis.org/qgis/suse/10.2/ I still get
>> the old binaries. Would it be possible to change the link to the first one?
>
> yes, it is not updated at download.qgis.org yet, because I created the packages
> yesterday afternoon. We will try to find a way to update it and maybe also to
> provide a repository for easier installation.
>
> What software do you use for package management under Opensuse? Are you

I am using SMART (http://labix.org/smart).

> experienced with creating a repository for opensuse?

Not at all. I think the easies might be to use the opensuse build
service (http://build.opensuse.org/) but as I said, I never used it to
compile - I only used the existing repoositories there. By the way, qgis
is not on theire yet and grass only as 5.0.3 - I think it would be a
good way of promoting open source GIS if there would be a repository for
OpenSource GIS applications.

Rainer

>
>  Otto
>
>> Also, is there the possibility of creating a repository to make updating
>> and installing easier?
>>
>>>  
>>> thanks for the hint
>>>  
>>>   Otto
>>>
>>>> Rainer
>>>>
>>>>>  regards,
>>>>>   Otto
>>>>>
>>>>>> Thanks,
>>>>>>
>>>>>> Rainer
>>>>>>
>>>>>> _______________________________________________
>>>>>> Qgis-user mailing list
>>>>>> [hidden email]
>>>>>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
>>>> _______________________________________________
>>>> Qgis-user mailing list
>>>> [hidden email]
>>>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Does QGIS-plugin-grass does work with GRASS 6.2.2

Otto Dassau
On Tue, 17 Jul 2007 13:49:30 +0200
"Rainer M. Krug" <[hidden email]> wrote:

> Otto Dassau wrote:
> > On Tue, 17 Jul 2007 13:12:46 +0200
> > "Rainer M. Krug" <[hidden email]> wrote:
> >
> >> Otto Dassau wrote:
> >>> On Tue, 17 Jul 2007 12:23:03 +0200
> >>> "Rainer M. Krug" <[hidden email]> wrote:
> >>>
> >> SNIP
> >>
> >>> yes! I missed to upload a new one, no it is there:
> >>> gdal-grass-1.4.1-1suse10.2.i586.rpm
> >> Thanks a lot - I found it at
> >> http://www.nature-consult.de/software/suse/10.2/
> >>
> >> But when I go to http://download.qgis.org/qgis/suse/10.2/ I still get
> >> the old binaries. Would it be possible to change the link to the first one?
> >
> > yes, it is not updated at download.qgis.org yet, because I created the
> > packages
> > yesterday afternoon. We will try to find a way to update it and maybe also
> > to
> > provide a repository for easier installation.
> >
> > What software do you use for package management under Opensuse? Are you
>
> I am using SMART (http://labix.org/smart).
>
> > experienced with creating a repository for opensuse?
>
> Not at all. I think the easies might be to use the opensuse build
> service (http://build.opensuse.org/) but as I said, I never used it to
> compile - I only used the existing repoositories there. By the way, qgis
> is not on theire yet and grass only as 5.0.3 - I think it would be a
> good way of promoting open source GIS if there would be a repository for
> OpenSource GIS applications.

ok, I'll have a look there.

 thanks
  Otto

> Rainer
>
> >
> >  Otto
> >
> >> Also, is there the possibility of creating a repository to make updating
> >> and installing easier?
> >>
> >>>  
> >>> thanks for the hint
> >>>  
> >>>   Otto
> >>>
> >>>> Rainer
> >>>>
> >>>>>  regards,
> >>>>>   Otto
> >>>>>
> >>>>>> Thanks,
> >>>>>>
> >>>>>> Rainer
> >>>>>>
> >>>>>> _______________________________________________
> >>>>>> Qgis-user mailing list
> >>>>>> [hidden email]
> >>>>>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
> >>>> _______________________________________________
> >>>> Qgis-user mailing list
> >>>> [hidden email]
> >>>> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
>
> _______________________________________________
> Qgis-user mailing list
> [hidden email]
> http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user


--

_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user